> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vectrade.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Income Statement

> Retrieve historical income statement data for a company, including revenue, costs, and earnings.



## OpenAPI

````yaml GET /vq/fundamentals/{symbol}/statements
openapi: 3.1.0
info:
  title: VecTrade API
  version: 1.0.0
  description: |
    Financial data, AI-powered analysis, and trading intelligence.

    ## Authentication
    All requests require an API key in the `X-API-Key` header:
    ```
    X-API-Key: vq_your_key_here
    ```

    ## Rate Limits
    Response headers include rate limit info:
    - `X-VQ-RateLimit-Limit` — requests per window
    - `X-VQ-RateLimit-Remaining` — remaining requests
    - `X-VQ-RateLimit-Reset` — window reset timestamp (Unix)
  contact:
    name: VecTrade API Support
    email: api@vectrade.io
    url: https://docs.vectrade.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api.vectrade.io/v1
    description: Production & Sandbox (mode determined by API key prefix)
security:
  - ApiKeyAuth: []
paths:
  /vq/fundamentals/{symbol}/statements:
    get:
      tags:
        - Fundamentals
      summary: Get income statement
      description: >-
        Retrieve historical income statement data for a company, including
        revenue, costs, and earnings.
      operationId: getIncomeStatement
      parameters:
        - name: symbol
          in: path
          required: true
          schema:
            type: string
        - name: period
          in: query
          schema:
            type: string
            enum:
              - annual
              - quarterly
            default: annual
        - name: limit
          in: query
          schema:
            type: integer
            default: 4
      responses:
        '200':
          description: Income statement data
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/IncomeStatement'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  schemas:
    IncomeStatement:
      type: object
      properties:
        date:
          type: string
          format: date
        period:
          type: string
          enum:
            - annual
            - quarterly
        revenue:
          type: number
        costOfRevenue:
          type: number
        grossProfit:
          type: number
        operatingIncome:
          type: number
        netIncome:
          type: number
        eps:
          type: number
        epsDiluted:
          type: number
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
            docs_url:
              type: string
        request_id:
          type: string
  responses:
    Unauthorized:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimited:
      description: Rate limit exceeded
      headers:
        Retry-After:
          schema:
            type: number
        X-VQ-RateLimit-Limit:
          schema:
            type: integer
        X-VQ-RateLimit-Remaining:
          schema:
            type: integer
        X-VQ-RateLimit-Reset:
          schema:
            type: integer
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: VecTrade API key (e.g., vq_live_...)

````